rev 3922 - in trunk/packages/qt-x11-free/debian: . patches

Christopher Martin chrsmrtn at costa.debian.org
Thu Jun 8 21:24:47 UTC 2006


Author: chrsmrtn
Date: 2006-06-08 21:24:46 +0000 (Thu, 08 Jun 2006)
New Revision: 3922

Added:
   trunk/packages/qt-x11-free/debian/patches/19_qfontdatabase_hack.dpatch
Modified:
   trunk/packages/qt-x11-free/debian/changelog
   trunk/packages/qt-x11-free/debian/patches/00list
Log:
Ugh, another hack. Oh well, please test.


Modified: trunk/packages/qt-x11-free/debian/changelog
===================================================================
--- trunk/packages/qt-x11-free/debian/changelog	2006-06-08 21:24:23 UTC (rev 3921)
+++ trunk/packages/qt-x11-free/debian/changelog	2006-06-08 21:24:46 UTC (rev 3922)
@@ -9,11 +9,15 @@
     libqt3-mt-dev). Also include the Immodule README.
     (Closes: #370742, #370744)
 
-  * Patch the 11_qt_rubberband patch, to fix a crash and a signal bug with
-    Kimdaba (and probably others). (Closes: #341982, #352409, #362155)
+  * Patch the 11_qt_rubberband patch, to fix a crash and a signal bug
+    affecting Kimdaba (and probably others).
+    (Closes: #341982, #352409, #362155)
 
- -- Debian Qt/KDE Maintainers <debian-qt-kde at lists.debian.org>  Wed,  7 Jun 2006 16:12:34 -0400
+  * Add a hack to rarely-used QFontDatabase code that avoids a crash (which
+    was causing KImageMapEditor to fail to start). (Closes: #369795)
 
+ -- Debian Qt/KDE Maintainers <debian-qt-kde at lists.debian.org>  Thu,  8 Jun 2006 17:05:53 -0400
+
 qt-x11-free (3:3.3.6-2) unstable; urgency=low
 
   +++ Changes by Pierre Habouzit:

Modified: trunk/packages/qt-x11-free/debian/patches/00list
===================================================================
--- trunk/packages/qt-x11-free/debian/patches/00list	2006-06-08 21:24:23 UTC (rev 3921)
+++ trunk/packages/qt-x11-free/debian/patches/00list	2006-06-08 21:24:46 UTC (rev 3922)
@@ -14,6 +14,7 @@
 16_fix_opengl_check
 17_qlistview_crash_iterator
 18_fix_makeqpf_qembed
+19_qfontdatabase_hack
 22_fix_ftbfs_amd64
 23_qtc_qclipboard_hack
 24_qtc_qscrollview

Added: trunk/packages/qt-x11-free/debian/patches/19_qfontdatabase_hack.dpatch
===================================================================
--- trunk/packages/qt-x11-free/debian/patches/19_qfontdatabase_hack.dpatch	2006-06-08 21:24:23 UTC (rev 3921)
+++ trunk/packages/qt-x11-free/debian/patches/19_qfontdatabase_hack.dpatch	2006-06-08 21:24:46 UTC (rev 3922)
@@ -0,0 +1,34 @@
+#! /bin/sh -e
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+--- qt.orig/src/kernel/qfontdatabase.cpp
++++ qt.patched/src/kernel/qfontdatabase.cpp
+@@ -686,6 +686,10 @@
+     }
+ 
+     FM_DEBUG( "          best style has distance 0x%x", dist );
++    if (!foundry->count) {
++        QtFontStyle *temp = NULL;
++        return temp;
++    }
+     return foundry->styles[best];
+ }
+ 




More information about the pkg-kde-commits mailing list